> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get On-Hold Conversion by ID

Fetch a single on-hold conversion by its unique on-hold conversion ID. Returns the full conversion record with all tracking details, relationships, and on-hold status information.


## OpenAPI

````yaml openapi/reporting-onhold.yaml get /networks/reporting/onhold/{onHoldId}
openapi: 3.0.3
info:
  title: Everflow Network API - On-Hold Conversion Reporting
  description: >
    On-hold conversion reporting and management endpoints for the Everflow
    partner marketing platform. For more detail, see [On Hold (Conversions)
    Report](https://helpdesk.everflow.io/customer/on-hold-conversions-report) in
    the Help Center.
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Reporting
    description: On-hold conversion reporting and management endpoints.
paths:
  /networks/reporting/onhold/{onHoldId}:
    get:
      tags:
        - Reporting
      summary: Get On-Hold Conversion by ID
      parameters:
        - in: path
          name: onHoldId
          required: true
          schema:
            type: string
          description: The 32-character on-hold conversion ID.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  on_hold_conversion_id:
                    type: string
                    description: The 32-character on-hold conversion ID.
                  network_id:
                    type: integer
                  holding_period_end:
                    type: integer
                    description: Unix timestamp when the holding period ends.
                  status:
                    type: string
                    enum:
                      - on_hold
                      - approved
                      - rejected
                    description: Current status of the on-hold conversion.
                  note:
                    type: string
                  conversion:
                    type: object
                    description: The full conversion record.
                    properties:
                      conversion_id:
                        type: string
                      conversion_unix_timestamp:
                        type: integer
                      sub1:
                        type: string
                      sub2:
                        type: string
                      sub3:
                        type: string
                      sub4:
                        type: string
                      sub5:
                        type: string
                      sub6:
                        type: string
                      sub7:
                        type: string
                      sub8:
                        type: string
                      sub9:
                        type: string
                      sub10:
                        type: string
                      source_id:
                        type: string
                      status:
                        type: string
                      payout_type:
                        type: string
                      revenue_type:
                        type: string
                      payout:
                        type: number
                      revenue:
                        type: number
                      session_user_ip:
                        type: string
                      conversion_user_ip:
                        type: string
                      country:
                        type: string
                      region:
                        type: string
                      city:
                        type: string
                      dma:
                        type: integer
                      carrier:
                        type: string
                      platform:
                        type: string
                      os_version:
                        type: string
                      device_type:
                        type: string
                      device_model:
                        type: string
                      brand:
                        type: string
                      browser:
                        type: string
                      language:
                        type: string
                      http_user_agent:
                        type: string
                      adv1:
                        type: string
                      adv2:
                        type: string
                      adv3:
                        type: string
                      adv4:
                        type: string
                      adv5:
                        type: string
                      adv6:
                        type: string
                      adv7:
                        type: string
                      adv8:
                        type: string
                      adv9:
                        type: string
                      adv10:
                        type: string
                      is_event:
                        type: boolean
                      event:
                        type: string
                      notes:
                        type: string
                      transaction_id:
                        type: string
                      click_unix_timestamp:
                        type: integer
                      error_code:
                        type: integer
                      error_message:
                        type: string
                      sale_amount:
                        type: number
                      is_scrub:
                        type: boolean
                      coupon_code:
                        type: string
                      order_id:
                        type: string
                      url:
                        type: string
                      isp:
                        type: string
                      referer:
                        type: string
                      app_id:
                        type: string
                      idfa:
                        type: string
                      idfa_md5:
                        type: string
                      idfa_sha1:
                        type: string
                      google_ad_id:
                        type: string
                      google_ad_id_md5:
                        type: string
                      google_ad_id_sha1:
                        type: string
                      android_id:
                        type: string
                      android_id_md5:
                        type: string
                      android_id_sha1:
                        type: string
                      currency_id:
                        type: string
                      email:
                        type: string
                      is_view_through:
                        type: boolean
                      previous_network_offer_id:
                        type: integer
                      network_offer_payout_revenue_id:
                        type: integer
                      relationship:
                        type: object
                        properties:
                          offer:
                            type: object
                            properties:
                              network_offer_id:
                                type: integer
                              network_id:
                                type: integer
                              name:
                                type: string
                              offer_status:
                                type: string
                                enum:
                                  - active
                                  - paused
                                  - pending
                                  - deleted
                          advertiser:
                            type: object
                            properties:
                              network_advertiser_id:
                                type: integer
                              network_id:
                                type: integer
                              name:
                                type: string
                              account_status:
                                type: string
                          account_manager:
                            type: object
                            properties:
                              network_employee_id:
                                type: integer
                              network_id:
                                type: integer
                              first_name:
                                type: string
                              last_name:
                                type: string
                              full_name:
                                type: string
                              account_status:
                                type: string
                          affiliate:
                            type: object
                            properties:
                              network_affiliate_id:
                                type: integer
                              network_id:
                                type: integer
                              name:
                                type: string
                              account_status:
                                type: string
                          affiliate_manager:
                            type: object
                            properties:
                              network_employee_id:
                                type: integer
                              network_id:
                                type: integer
                              first_name:
                                type: string
                              last_name:
                                type: string
                              full_name:
                                type: string
                              account_status:
                                type: string
                          offer_group:
                            type: object
                            properties:
                              network_offer_group_id:
                                type: integer
                              network_id:
                                type: integer
                              network_advertiser_id:
                                type: integer
                              name:
                                type: string
                              offer_group_status:
                                type: string
                              offer_count:
                                type: integer
                          attribution_method:
                            type: string
                          custom_payout_revenue:
                            type: object
                            properties:
                              network_custom_payout_revenue_setting_id:
                                type: integer
                              network_id:
                                type: integer
                              name:
                                type: string
                          postback_control:
                            type: object
                            properties:
                              network_postback_control_id:
                                type: integer
                              network_id:
                                type: integer
                              name:
                                type: string
                          redirect_url:
                            type: string
                          query_parameters:
                            type: object
                            description: >-
                              The query string parameters from the original
                              click URL.
                          usm_data:
                            nullable: true
                            type: object
                            description: >-
                              User session management data. Null when not
                              applicable.
                          unix_timestamp_postback:
                            type: integer
                          snapshots:
                            type: array
                            items:
                              type: object
                              properties:
                                conversion_history_snapshot_id:
                                  type: integer
                                conversion_id:
                                  type: string
                                network_id:
                                  type: integer
                                initiator:
                                  type: string
                                  enum:
                                    - manual
                                    - csv
                                    - bulk_payout_adjustment
                                    - twenty_four_metrics
                                    - reversal
                                    - avow
                                    - retroactive_tiered_commission
                                network_employee:
                                  type: object
                                  properties:
                                    network_employee_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    first_name:
                                      type: string
                                    last_name:
                                      type: string
                                    full_name:
                                      type: string
                                    account_status:
                                      type: string
                                status:
                                  type: string
                                  enum:
                                    - approved
                                    - rejected
                                    - pending
                                    - invalid
                                snapshot_type:
                                  type: string
                                  enum:
                                    - status
                                    - payout_revenue
                                    - sale_amount
                                    - payout_revenue_and_sale_amount
                                payout:
                                  type: number
                                revenue:
                                  type: number
                                sale_amount:
                                  type: number
                                error_code:
                                  type: integer
                                unix_timestamp:
                                  type: integer
                          on_hold_snapshots:
                            type: array
                            items:
                              type: object
                              properties:
                                on_hold_conversion_history_snapshot_id:
                                  type: integer
                                on_hold_conversion_id:
                                  type: string
                                network_id:
                                  type: integer
                                initiator:
                                  type: string
                                  enum:
                                    - manual
                                    - conversion_processing
                                    - conversion_update
                                    - csv
                                network_employee:
                                  type: object
                                  properties:
                                    network_employee_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    first_name:
                                      type: string
                                    last_name:
                                      type: string
                                    full_name:
                                      type: string
                                    account_status:
                                      type: string
                                status:
                                  type: string
                                  enum:
                                    - on_hold
                                    - approved
                                    - rejected
                                snapshot_type:
                                  type: string
                                  enum:
                                    - status
                                    - payout_revenue
                                unix_timestamp:
                                  type: integer
                  relationship:
                    type: object
                    properties:
                      history_snapshots:
                        type: array
                        items:
                          type: object
                          properties:
                            on_hold_conversion_history_snapshot_id:
                              type: integer
                            on_hold_conversion_id:
                              type: string
                            network_id:
                              type: integer
                            initiator:
                              type: string
                              enum:
                                - manual
                                - conversion_processing
                                - conversion_update
                                - csv
                            network_employee:
                              type: object
                              properties:
                                network_employee_id:
                                  type: integer
                                network_id:
                                  type: integer
                                first_name:
                                  type: string
                                last_name:
                                  type: string
                                full_name:
                                  type: string
                                account_status:
                                  type: string
                            status:
                              type: string
                              enum:
                                - on_hold
                                - approved
                                - rejected
                            snapshot_type:
                              type: string
                              enum:
                                - status
                                - payout_revenue
                            unix_timestamp:
                              type: integer
        '404':
          description: On-hold conversion not found.
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````